Package com.google.protobuf

# Enum Class TextFormat.Parser.SingularOverwritePolicy

java.lang.Object
java.lang.Enum<TextFormat.Parser.SingularOverwritePolicy>
com.google.protobuf.TextFormat.Parser.SingularOverwritePolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<TextFormat.Parser.SingularOverwritePolicy>`, `Constable`

Enclosing class:
  `TextFormat.Parser`

public static enum TextFormat.Parser.SingularOverwritePolicy extends Enum<TextFormat.Parser.SingularOverwritePolicy>
Determines if repeated values for non-repeated fields and oneofs are permitted. For example, given required/optional field "foo" and a oneof containing "baz" and "moo":

- "foo: 1 foo: 2"
- "baz: 1 moo: 2"
- merging "foo: 2" into a proto in which foo is already set, or
- merging "moo: 2" into a proto in which baz is already set.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW_SINGULAR_OVERWRITES`
Later values are merged with earlier values.
`FORBID_SINGULAR_OVERWRITES`
An error is issued.

## Method Summary

Modifier and Type
Method
Description
`static TextFormat.Parser.SingularOverwritePolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextFormat.Parser.SingularOverwritePolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALLOW_SINGULAR_OVERWRITES

public static final TextFormat.Parser.SingularOverwritePolicy ALLOW_SINGULAR_OVERWRITES
Later values are merged with earlier values. For primitive fields or conflicting oneofs, the last value is retained.

### FORBID_SINGULAR_OVERWRITES

public static final TextFormat.Parser.SingularOverwritePolicy FORBID_SINGULAR_OVERWRITES
An error is issued.

## Method Details

### values

public static TextFormat.Parser.SingularOverwritePolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TextFormat.Parser.SingularOverwritePolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null